import React, { Component } from 'react';

import MainSuit from '@containers/MainSuit';
import CurrentIll from '@containers/CurrentIll';
import OtherHistory from '@containers/OtherHistory';
import CheckBody from '@containers/CheckBody';
import Diagnosis from '@containers/Diagnosis';
import Inspect from '@containers/Inspect';
import AssistCheck from '@containers/AssistCheck';
import OperationContainer from '../../containers/OperationContainer'
import style from './index.less';
import AdviceContainer from '../../containers/AdviceContainer';
import InfoTitle from '@components/InfoTitle'
import {windowEventHandler} from '@utils/tools'
import {getWindowInnerHeight,getWindowInnerWidth} from '@common/js/func';

class EMRContainer extends Component {
    constructor(props){
        super(props);
        this.$cont = React.createRef();
    }
    componentDidMount(){
        // const {initHospital} = this.props;
        // initHospital()
        const height = getWindowInnerHeight() - 175;
        const width = getWindowInnerWidth() - 480;
        this.$cont.current.style.height = height+"px";
        this.$cont.current.style.width = width + "px";
        windowEventHandler('resize', ()=>{
          const height = getWindowInnerHeight() - 175;
          const width = getWindowInnerWidth() - 480;
          if(this.$cont.current){
            this.$cont.current.style.height = height + "px";
            this.$cont.current.style.width = width + "px";
          }
        });
    }
    render() {
        return <div className={style['EMR-container']} ref={this.$cont} id="addScrollEvent">
            <InfoTitle></InfoTitle>
            <div className={style['inner']}>
                <MainSuit></MainSuit>
                <CurrentIll></CurrentIll>
                <OtherHistory></OtherHistory>
                <CheckBody></CheckBody>
                <Inspect></Inspect>
                <AssistCheck></AssistCheck>
                <Diagnosis></Diagnosis>
                <AdviceContainer></AdviceContainer>
            </div>
            <OperationContainer></OperationContainer>
        </div>
    }
}

export default EMRContainer;